hsv_to_rgb(3)

NAME
hsv_to_rgb, rgb_to_hsv

SYNOPSIS
#include <allegro.h>

void hsv_to_rgb(float h, float s, float v, int *r, int *g, int *b); void rgb_to_hsv(int r, int g, int b, float *h, float *s, float *v);

DESCRIPTION
Convert color values between the HSV and RGB colorspaces. The RGB values range from 0 to 255, hue is from 0 to 360, and saturation and value are from 0 to 1.

SEE ALSO
exlights(3), exrgbhsv(3)